Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shipping
Class ShippingMethodImpl

    java.lang.Object
      com.beasys.commerce.foundation.EntityImpl
          com.beasys.commerce.ebusiness.shipping.ShippingMethodImpl

All Implemented Interfaces
  RelationalReference, Serializable, javax.ejb.EnterpriseBean, javax.ejb.EntityBean

Deprecated See BEA Commerce product offering

    @Deprecated
    public class ShippingMethodImpl

extends EntityImpl

A shipping method is a mechanism by which product is delivered. It stores a standard set of attributes and allows for complex shipping cost calculation.

     Primary Key = com.beasys.commerce.ebusiness.shipping.ShippingMethodPk

See Also
  `ShippingMethod`, `ShippingMethodHome`, `ShippingMethodValue`, Serialized Form

Field Summary
`int` | `averageShippingTime` Deprecated See BEA Commerce product offering
`String` | `carrier` Deprecated See BEA Commerce product offering
`String` | `costCalculationMechanism` Deprecated See BEA Commerce product offering
`String` | `description` Deprecated See BEA Commerce product offering
`String` | `identifier` Deprecated See BEA Commerce product offering
`boolean` | `internationalDelivery` Deprecated See BEA Commerce product offering
`String` | `method` Deprecated See BEA Commerce product offering
`String` | `packagingType` Deprecated See BEA Commerce product offering
`double` | `percentage` Deprecated See BEA Commerce product offering
`boolean` | `poBoxAllowed` Deprecated See BEA Commerce product offering
`Money` | `price` Deprecated See BEA Commerce product offering
`String` | `restrictions` Deprecated See BEA Commerce product offering
`boolean` | `saturdayDelivery` Deprecated See BEA Commerce product offering
`boolean` | `signatureRequired` Deprecated See BEA Commerce product offering
`double` | `sizeLimit` Deprecated See BEA Commerce product offering
`double` | `weightLimit` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.foundation.EntityImpl
`__classIdentifier, __containingEntity, __mapKey, __sequenceNumber, _ctx, _environmentNamingContext, _environmentPropertyCache, _isDirty, _smartBMP`

Constructor Summary
`ShippingMethodImpl()` Deprecated See BEA Commerce product offering

Method Summary
`protected void` | `bscInitializeAttributes(ShippingMethodPk shippingMethodPk)` Deprecated See BEA Commerce product offering
`void` | `ejbActivate()` Deprecated See BEA Commerce product offering
`ShippingMethodPk` | `ejbCreate(ShippingMethodPk shippingMethodPk)` Deprecated See BEA Commerce product offering
`Enumeration` | `ejbFindAll()` Deprecated See BEA Commerce product offering
`ShippingMethodPk` | `ejbFindByPrimaryKey(ShippingMethodPk pk)` Deprecated See BEA Commerce product offering
`void` | `ejbLoad()` Deprecated See BEA Commerce product offering
`void` | `ejbPassivate()` Deprecated See BEA Commerce product offering
`void` | `ejbPostCreate(ShippingMethodPk shippingMethodPk)` Deprecated See BEA Commerce product offering
`void` | `ejbRemove()` Deprecated See BEA Commerce product offering
`void` | `ejbStore()` Deprecated See BEA Commerce product offering
`int` | `getAverageShippingTime()` Deprecated See BEA Commerce product offering
`String` | `getCarrier()` Deprecated See BEA Commerce product offering
`String` | `getCostCalculationMechanism()` Deprecated See BEA Commerce product offering
`String` | `getDescription()` Deprecated See BEA Commerce product offering
`String` | `getIdentifier()` Deprecated See BEA Commerce product offering
`boolean` | `getInternationalDelivery()` Deprecated See BEA Commerce product offering
`String` | `getMethod()` Deprecated See BEA Commerce product offering
`String` | `getPackagingType()` Deprecated See BEA Commerce product offering
`double` | `getPercentage()` Deprecated See BEA Commerce product offering
`boolean` | `getPoBoxAllowed()` Deprecated See BEA Commerce product offering
`Money` | `getPrice()` Deprecated See BEA Commerce product offering
`String` | `getRestrictions()` Deprecated See BEA Commerce product offering
`boolean` | `getSaturdayDelivery()` Deprecated See BEA Commerce product offering
`ShippingMethodValue` | `getShippingMethodByValue()` Deprecated See BEA Commerce product offering
`boolean` | `getSignatureRequired()` Deprecated See BEA Commerce product offering
`double` | `getSizeLimit()` Deprecated See BEA Commerce product offering
`double` | `getWeightLimit()` Deprecated See BEA Commerce product offering
`void` | `setAverageShippingTime(int averageShippingTime)` Deprecated See BEA Commerce product offering
`void` | `setCarrier(String carrier)` Deprecated See BEA Commerce product offering
`void` | `setCostCalculationMechanism(String costCalculationMechanism)` Deprecated See BEA Commerce product offering
`void` | `setDescription(String description)` Deprecated See BEA Commerce product offering
`void` | `setEntityContext(javax.ejb.EntityContext ctx)` Deprecated See BEA Commerce product offering
`void` | `setIdentifier(String value)` Deprecated See BEA Commerce product offering
`void` | `setInternationalDelivery(boolean internationalDelivery)` Deprecated See BEA Commerce product offering
`void` | `setMethod(String method)` Deprecated See BEA Commerce product offering
`void` | `setPackagingType(String packagingType)` Deprecated See BEA Commerce product offering
`void` | `setPercentage(double percentage)` Deprecated See BEA Commerce product offering
`void` | `setPoBoxAllowed(boolean poBoxAllowed)` Deprecated See BEA Commerce product offering
`void` | `setPrice(Money price)` Deprecated See BEA Commerce product offering
`void` | `setRestrictions(String restrictions)` Deprecated See BEA Commerce product offering
`void` | `setSaturdayDelivery(boolean saturdayDelivery)` Deprecated See BEA Commerce product offering
`void` | `setShippingMethodByValue(ShippingMethodValue value)` Deprecated See BEA Commerce product offering
`void` | `setSignatureRequired(boolean signatureRequired)` Deprecated See BEA Commerce product offering
`void` | `setSizeLimit(double sizeLimit)` Deprecated See BEA Commerce product offering
`void` | `setWeightLimit(double weightLimit)` Deprecated See BEA Commerce product offering
`void` | `unsetEntityContext()` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.EntityImpl
`bscInitializeAttributes, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, ejbCreate, ejbFindByPrimaryKey, ejbPostCreate, enumerateRelationalBinding, enumerateRelationalBinding, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getEntityContext, getEnvironmentNamingContext, getEnvironmentProperty, getEnvironmentProperty, getEnvironmentPropertyCache, getPersistenceHelperPlugin, getSmartBMP, initSmartBMP, isModified, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public String identifier

  Deprecated See BEA Commerce product offering
  A key that uniquely identifies this shipping method.
  - Containment: By Value
  - Multiplicity: 1:1
  - PRIMARY KEY FIELD

### sizeLimit

    public double sizeLimit

  Deprecated See BEA Commerce product offering
  The maximum deliverable quantity.
  - Containment: By Value
  - Multiplicity: 1:1

### description

    public String description

  Deprecated See BEA Commerce product offering
  An textual description of this shipping mechanism.
  - Containment: By Value
  - Multiplicity: 1:1

### signatureRequired

    public boolean signatureRequired

  Deprecated See BEA Commerce product offering
  True if the customer is required to acknowled delivery with a signature.
  - Containment: By Value
  - Multiplicity: 1:1

### weightLimit

    public double weightLimit

  Deprecated See BEA Commerce product offering
  The maximum weight limit for this shipping mechanism.
  - Containment: By Value
  - Multiplicity: 1:1

### percentage

    public double percentage

  Deprecated See BEA Commerce product offering
  Used when the shipping cost is a percentage of the total value of the order.
  - Containment: By Value
  - Multiplicity: 1:1

### poBoxAllowed

    public boolean poBoxAllowed

  Deprecated See BEA Commerce product offering
  True if this mechanism will allow delivery to a post office box.
  - Containment: By Value
  - Multiplicity: 1:1

### restrictions

    public String restrictions

  Deprecated See BEA Commerce product offering
  A description of any restrictions that apply to this shipping mechanism.
  - Containment: By Value
  - Multiplicity: 1:1

### averageShippingTime

    public int averageShippingTime

  Deprecated See BEA Commerce product offering
  The average delivery time.
  - Containment: By Value
  - Multiplicity: 1:1

### carrier

    public String carrier

  Deprecated See BEA Commerce product offering
  The service provider used for delivery.
  - Containment: By Value
  - Multiplicity: 1:1

### saturdayDelivery

    public boolean saturdayDelivery

  Deprecated See BEA Commerce product offering
  True if ths shipping mechanism will deliver on a Saturday.
  - Containment: By Value
  - Multiplicity: 1:1

### price

    public Money price

  Deprecated See BEA Commerce product offering
  The base shipping cost.
  - Containment: By Value
  - Multiplicity: 1:1

### packagingType

    public String packagingType

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### costCalculationMechanism

    public String costCalculationMechanism

  Deprecated See BEA Commerce product offering
  Used to specify one of the pre-programmed shipping cost calculation mechanisms. Policy:Uses the Shipping Cost Calculation Policy to determine the total cost. FlatRate: A single flat rate price is returned as specified in the price field. PerItem: The count of items in the order is multiplied by the price field to determine the shipping cost. Percentage: The total cost of the order is multiplied by the percenate specified to determine the cost.
  - Containment: By Value
  - Multiplicity: 1:1

### method

    public String method

  Deprecated See BEA Commerce product offering
  The mechanism by which the item will be shipped. These include Air, Ship, Truck, etc..
  - Containment: By Value
  - Multiplicity: 1:1

### internationalDelivery

    public boolean internationalDelivery

  Deprecated See BEA Commerce product offering
  True if this mechanism will deliver internationally.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### ShippingMethodImpl

    public ShippingMethodImpl()

  Deprecated See BEA Commerce product offering

Method Detail

### getShippingMethodByValue

    public ShippingMethodValue getShippingMethodByValue()

  Deprecated See BEA Commerce product offering

  Get all of ShippingMethod's attributes.

  Returns
    ShippingMethodValue the ShippingMethod value object

### setShippingMethodByValue

    public void setShippingMethodByValue(ShippingMethodValue value)

  Deprecated See BEA Commerce product offering

  Set all of ShippingMethod's attributes to the passed in value. Note: Primary key attributes are not set.

  Parameters
    `ShippingMethodValue` - the ShippingMethod value object

### ejbCreate

    public ShippingMethodPk ejbCreate(ShippingMethodPk shippingMethodPk)
                               throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Throws
    `javax.ejb.CreateException`

### bscInitializeAttributes

    protected void bscInitializeAttributes(ShippingMethodPk shippingMethodPk)
                                    throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Throws
    `javax.ejb.CreateException`

### ejbPostCreate

    public void ejbPostCreate(ShippingMethodPk shippingMethodPk)
                       throws javax.ejb.CreateException

  Deprecated See BEA Commerce product offering

  Throws
    `javax.ejb.CreateException`

### ejbLoad

    public void ejbLoad()
                 throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  ejbLoad method.

  Specified by:
    `ejbLoad` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbLoad` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### ejbStore

    public void ejbStore()
                  throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  ejbStore method.

  Specified by:
    `ejbStore` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbStore` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.RemoveException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  ejbRemove method.

  Specified by:
    `ejbRemove` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbRemove` in class `EntityImpl`
  Throws
    `javax.ejb.RemoveException`

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  ejbActivate method.

  Specified by:
    `ejbActivate` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbActivate` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  ejbPassivate method.

  Specified by:
    `ejbPassivate` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbPassivate` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### setEntityContext

    public void setEntityContext(javax.ejb.EntityContext ctx)
                          throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  setEntityContext method.

  Specified by:
    `setEntityContext` in interface `javax.ejb.EntityBean`
  Overrides:
    `setEntityContext` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### unsetEntityContext

    public void unsetEntityContext()
                            throws javax.ejb.EJBException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  unsetEntityContext method.

  Specified by:
    `unsetEntityContext` in interface `javax.ejb.EntityBean`
  Overrides:
    `unsetEntityContext` in class `EntityImpl`
  Throws
    `javax.ejb.EJBException`

### ejbFindByPrimaryKey

    public ShippingMethodPk ejbFindByPrimaryKey(ShippingMethodPk pk)
                                         throws javax.ejb.FinderException

  Deprecated See BEA Commerce product offering

  Throws
    `javax.ejb.FinderException`

### getSizeLimit

    public double getSizeLimit()

  Deprecated See BEA Commerce product offering

  Get the value of sizeLimit

  Returns
    sizeLimit.

### setSizeLimit

    public void setSizeLimit(double sizeLimit)

  Deprecated See BEA Commerce product offering

  Set the value of sizeLimit

  Parameters
    `sizeLimit` - sizeLimit to be added

### getDescription

    public String getDescription()

  Deprecated See BEA Commerce product offering

  Get the value of description

  Returns
    description.

### setDescription

    public void setDescription(String description)

  Deprecated See BEA Commerce product offering

  Set the value of description

  Parameters
    `description` - description to be added

### getSignatureRequired

    public boolean getSignatureRequired()

  Deprecated See BEA Commerce product offering

  Get the value of signatureRequired

  Returns
    signatureRequired.

### setSignatureRequired

    public void setSignatureRequired(boolean signatureRequired)

  Deprecated See BEA Commerce product offering

  Set the value of signatureRequired

  Parameters
    `signatureRequired` - signatureRequired to be added

### getWeightLimit

    public double getWeightLimit()

  Deprecated See BEA Commerce product offering

  Get the value of weightLimit

  Returns
    weightLimit.

### setWeightLimit

    public void setWeightLimit(double weightLimit)

  Deprecated See BEA Commerce product offering

  Set the value of weightLimit

  Parameters
    `weightLimit` - weightLimit to be added

### getPercentage

    public double getPercentage()

  Deprecated See BEA Commerce product offering

  Get the value of percentage

  Returns
    percentage.

### setPercentage

    public void setPercentage(double percentage)

  Deprecated See BEA Commerce product offering

  Set the value of percentage

  Parameters
    `percentage` - percentage to be added

### getIdentifier

    public String getIdentifier()

  Deprecated See BEA Commerce product offering

### setIdentifier

    public void setIdentifier(String value)

  Deprecated See BEA Commerce product offering

### getPoBoxAllowed

    public boolean getPoBoxAllowed()

  Deprecated See BEA Commerce product offering

  Get the value of poBoxAllowed

  Returns
    poBoxAllowed.

### setPoBoxAllowed

    public void setPoBoxAllowed(boolean poBoxAllowed)

  Deprecated See BEA Commerce product offering

  Set the value of poBoxAllowed

  Parameters
    `poBoxAllowed` - poBoxAllowed to be added

### getRestrictions

    public String getRestrictions()

  Deprecated See BEA Commerce product offering

  Get the value of restrictions

  Returns
    restrictions.

### setRestrictions

    public void setRestrictions(String restrictions)

  Deprecated See BEA Commerce product offering

  Set the value of restrictions

  Parameters
    `restrictions` - restrictions to be added

### getAverageShippingTime

    public int getAverageShippingTime()

  Deprecated See BEA Commerce product offering

  Get the value of averageShippingTime

  Returns
    averageShippingTime.

### setAverageShippingTime

    public void setAverageShippingTime(int averageShippingTime)

  Deprecated See BEA Commerce product offering

  Set the value of averageShippingTime

  Parameters
    `averageShippingTime` - averageShippingTime to be added

### getCarrier

    public String getCarrier()

  Deprecated See BEA Commerce product offering

  Get the value of carrier

  Returns
    carrier.

### setCarrier

    public void setCarrier(String carrier)

  Deprecated See BEA Commerce product offering

  Set the value of carrier

  Parameters
    `carrier` - carrier to be added

### getSaturdayDelivery

    public boolean getSaturdayDelivery()

  Deprecated See BEA Commerce product offering

  Get the value of saturdayDelivery

  Returns
    saturdayDelivery.

### setSaturdayDelivery

    public void setSaturdayDelivery(boolean saturdayDelivery)

  Deprecated See BEA Commerce product offering

  Set the value of saturdayDelivery

  Parameters
    `saturdayDelivery` - saturdayDelivery to be added

### getPrice

    public Money getPrice()

  Deprecated See BEA Commerce product offering

  Get the value of price

  Returns
    price.

### setPrice

    public void setPrice(Money price)

  Deprecated See BEA Commerce product offering

  Set the value of price

  Parameters
    `price` - price to be added

### getPackagingType

    public String getPackagingType()

  Deprecated See BEA Commerce product offering

  Get the value of packagingType

  Returns
    packagingType.

### setPackagingType

    public void setPackagingType(String packagingType)

  Deprecated See BEA Commerce product offering

  Set the value of packagingType

  Parameters
    `packagingType` - packagingType to be added

### getCostCalculationMechanism

    public String getCostCalculationMechanism()

  Deprecated See BEA Commerce product offering

  Get the value of costCalculationMechanism

  Returns
    costCalculationMechanism.

### setCostCalculationMechanism

    public void setCostCalculationMechanism(String costCalculationMechanism)

  Deprecated See BEA Commerce product offering

  Set the value of costCalculationMechanism

  Parameters
    `costCalculationMechanism` - costCalculationMechanism to be added

### getMethod

    public String getMethod()

  Deprecated See BEA Commerce product offering

  Get the value of method

  Returns
    method.

### setMethod

    public void setMethod(String method)

  Deprecated See BEA Commerce product offering

  Set the value of method

  Parameters
    `method` - method to be added

### getInternationalDelivery

    public boolean getInternationalDelivery()

  Deprecated See BEA Commerce product offering

  Get the value of internationalDelivery

  Returns
    internationalDelivery.

### setInternationalDelivery

    public void setInternationalDelivery(boolean internationalDelivery)

  Deprecated See BEA Commerce product offering

  Set the value of internationalDelivery

  Parameters
    `internationalDelivery` - internationalDelivery to be added

### ejbFindAll

    public Enumeration ejbFindAll()
                           throws javax.ejb.FinderException

  Deprecated See BEA Commerce product offering

  Description copied from class: `EntityImpl`
  ejbFindAll method.

  Overrides:
    `ejbFindAll` in class `EntityImpl`
  Throws
    `javax.ejb.FinderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved